Name: gw6c
Version: 6.0
Release: alt1

Summary: go6.net IPv6 Gateway Client

License: BSD
Group: Networking/Other
Url: http://www.go6.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-6_0-RELEASE-src.tar.bz2
Source1: gw6c.init

Patch: gw6c-sanepaths.diff
Patch1: gw6c-compile.patch

# Automatically added by buildreq on Thu May 21 2009
BuildRequires: gcc-c++ libssl-devel

%description
The Gateway6 client allows connections to Freenet6.

Freenet6 is an IPv6 access service offered to the community for free. This
service enables thousands of people from all over the world to experience the
best solution for a smooth and incremental deployment of IPv6. Freenet6 users
can get IPv6 connectivity from anywhere, including from behind any NAT device
or from outside of their home network.

Freenet6 is powered by Hexago's flagship product, Gateway6(TM), which allows
users to take advantage of innovative features such as a permanent IPv6 address
and prefix, as well as DNS registration and reverse delegation.

%prep
%setup -n %name-6_0_1 -q
#%patch
#%patch1 -p1

%build
cd tspc-advanced
%make target=linux all
subst "s|/etc/init.d/radvd stop|service radvd stop|g" template/linux.sh
subst "s|@conf_gw6_dir@|%_datadir/gw6|g" conf/gw6c.conf.in

%install
cd tspc-advanced
%make target=linux installdir=$(pwd)/tmp/%prefix install
install -D -m 0755 bin/gw6c %buildroot%_sbindir/gw6c
install -D -m 0644 bin/gw6c.conf.sample %buildroot%_sysconfdir/gw6/gw6c.conf
#install -D -m 0644 tspc-advanced/bin/gw6c.conf.sample %buildroot%_sysconfdir/gw6/gw6c.conf.sample
install -D -m 0644 man/man5/gw6c.conf.5 %buildroot%_man5dir/gw6c.conf.5
install -D -m 0644 man/man8/gw6c.8 %buildroot%_man8dir/gw6c.8
install -d -m 0755 %buildroot/var/cache/gw6
install -d -m 0755 %buildroot/%_datadir/gw6/template
#install -m 0644 template/variables_environ %buildroot/%_datadir/gw6/template
install -m 0644 template/linux.sh %buildroot/%_datadir/gw6/template
install -D -m 0755 %SOURCE1 %buildroot%_initrddir/gw6c
#ln -sf %_initrddir/gw6c %buildroot%_sbindir/rcgw6c


%files
%doc *.pdf CLIENT-LICENSE.TXT README HEX*.pdf
%_sbindir/gw6c
%dir %_sysconfdir/gw6
%dir /var/cache/gw6
%config(noreplace) %_sysconfdir/gw6/gw6c.conf
#%doc %_sysconfdir/gw6/gw6c.conf.sample
%doc %_man5dir/gw6c.conf.5*
%doc %_man8dir/gw6c.8*
%_datadir/gw6/
#%_initrddir/gw6c
#%_sbindir/rcgw6c

%changelog
* Sun Jul 12 2009 Vitaly Lipatov <lav@altlinux.ru> 6.0-alt1
- new version 6.0 (with rpmrb script) - untested

* Thu May 21 2009 Vitaly Lipatov <lav@altlinux.ru> 5.1-alt1
- initial build for ALT Linux Sisyphus

* Sat Dec 22 2007 - James Oakley <jfunk@funktronics.ca> - 5.0-8
- modprobe the sit module before creating the tunnel

* Fri Aug 17 2007 - James Oakley <jfunk#funktronics.ca> - 5.0-2
- Install templates

* Thu Aug 16 2007 - James Oakley <jfunk@funktronics.ca> - 5.0-1
- Initial release
